'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var isObject = function isObject(obj) {
  return typeof obj === 'object' && obj !== null;
};

function merge(obj) {
  var parent = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  Object.keys(parent).forEach(function (parentKey) {
    if (!obj.hasOwnProperty(parentKey)) {
      obj[parentKey] = parent[parentKey];
    }
  });

  var ownKeys = {};
  Object.keys(obj).forEach(function (objKey) {
    if (!isObject(obj[objKey])) {
      ownKeys[objKey] = obj[objKey];
    }
  });

  Object.keys(obj).forEach(function (objKey) {
    if (isObject(obj[objKey])) {
      merge(obj[objKey], merge(ownKeys, parent));
    }
  });

  return obj;
}

exports['default'] = merge;
module.exports = exports['default'];

//# sourceMappingURL=index.js.map