const isObject = (obj) => (typeof obj === 'object') && (obj !== null);

function merge(obj, parent = {}) {
  Object.keys(parent).forEach((parentKey) => {
    if (!obj.hasOwnProperty(parentKey)) {
      obj[parentKey] = parent[parentKey];
    }
  });

  var ownKeys = {};
  Object.keys(obj).forEach((objKey) => {
    if (!isObject(obj[objKey])) {
      ownKeys[objKey] = obj[objKey];
    }
  });

  Object.keys(obj).forEach((objKey) => {
    if (isObject(obj[objKey])) {
      merge(obj[objKey], merge(ownKeys, parent));
    }
  });

  return obj;
}

export default merge;
